ADDUSER(8)

NOMBRE
adduser, addgroup - añade un usuario o grupo al sistema

SINOPSIS
adduser [opciones] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GRUPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] usuario

adduser --system [opciones] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--group | --ingroup GRUPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] usuario

adduser --group [opciones] [--gid ID] grupo
addgroup [opciones] [--gid ID] grupo

adduser --group --system [opciones] [--gid ID] grupo
addgroup --system [opciones] [--gid ID] grupo

adduser [opciones] usuario grupo

  OPCIONES COMUNES
[--quiet] [--force-badname] [--help] [--version] [--conf FICHERO]

DESCRIPCIÓN

adduser y addgroup añaden usuarios al sistema de acuerdo a las opciones de la línea de órdenes y a la configuración en /etc/adduser.conf. Proporcionan una interfaz más amigable para los programas useradd y groupadd , eligen valores para UID y GID conformes con las normas de Debian, crean un directorio personal con la configuración predeterminada, ejecutan un script personalizado y algunas otras cosas. adduser y addgroup pueden ejecutarse de cinco maneras distintas:

  Añadir un usuario normal
Si se invoca con un argumento que no es ninguna opción y sin la opción --system o --group , adduser añadirá un usuario normal. adduser elegirá el primer UID disponible dentro del rango especificado para usuarios normales en el fichero de configuración. Puede elegirse uno manualmente usando la opción --uid. El rango especificado en el fichero de configuración puede modificarse usando las opciones --firstuid y --lastuid. Por omisión, cada usuario en Debian GNU/Linux tiene su grupo correspondiente con el mismo nombre e id. Los grupos de usuarios permiten mantener directorios escribibles por un grupo de usuarios de forma sencilla añadiendo los usuarios apropiados al nuevo grupo, habilitando después el bit set-group-ID en el directorio, y asegurándose de que todos los usuarios tengan un umask de 002. Si esta opción se deshabilita estableciendo USERGROUPS a no , todos los GID de usuario corresponderán a USERS_GID. Los grupos de usuario también pueden deshabilitarse usando las opciones de la línea de órdenes --gid o --ingroup para establecer el grupo por id o por nombre, respectivamente. adduser creará los directorios personales de acuerdo con DHOME, GROUPHOMES, y LETTERHOMES. El directorio personal puede especificarse mediante la opción de línea de órdenes --home , y el shell mediante la opción --shell. El bit set-group-ID del directorio personal está habilitado si USERGROUPS es yes , de forma que cualquier fichero creado en el directorio personal del usuario tendrá el grupo correcto. adduser copiará los ficheros de SKEL en el directorio personal y preguntará por la información del campo gecos y por la clave. El campo gecos también puede especificarse con la opción --gecos. Con la opción --disabled-login , la cuenta se creará pero estará deshabilitada hasta que se proporcione una clave. La opción --disabled-password no establecerá la clave, pero todavía será posible trabajar con la cuenta, por ejemplo mediante claves SSH RSA. Si existe el fichero /usr/local/sbin/adduser.local , se ejecutará después de que la cuenta de usuario esté lista, de este modo es posible hacer ajustes locales. Los argumentos que se pasan a adduser.local son:
usuario uid gid directorio-personal, y las variables de entorno DEBUG y VERBOSE se establecerán de acuerdo con la configuración del programa maestro.

  Añadir un usuario normal
Si se invoca con un argumento que no es ninguna opción y la opción --system, adduser añadirá un un usuario del sistema. Si ya existe un usuario con un uid en el rango del sistema (o si se especifica manualmente), adduser terminará silenciosamente. adduser elegirá el primer UID disponible entre el rango especificado en el fichero de configuración para usuarios del sistema. El UID puede modificarse con la opción --uid. Por omisión, los usuarios del sistema se añaden al grupo nogroup Para añadir el nuevo usuario del sistema en un grupo existente, use las opciones --gid o --ingroup Para añadir el nuevo usuario del sistema en un grupo con su mismo ID, use la opción --group. El directorio personal se crea con las mismas normas que para usuarios normales. Los nuevos usuarios del sistema tendrán como shell /bin/false (a menos que se modifique con la opción --shell ), y tienen la clave deshabilitada. Los ficheros de configuración esqueleto no se copian.

  Añadir un grupo de usuarios
Si se invoca adduser con la opción --group y sin las opciones --system o addgroup respectivamente, añadirá un grupo de usuarios. Se elegirá un GID de entre el rango especificado para los UID de usuario en el fichero de configuración. El GID puede modificarse con la opción --gid. El grupo se creará sin usuarios.

  Añadir un grupo del sistema
Si se invoca adduser con la opción --system se añadirá un grupo del sistema. Se elegirá un GID dentro del rango especificado en el fichero de configuración para los UID de usuario. El GID puede especificarse con la opción --gid. El grupo se crea sin usuarios.

  Añadir un usuario existente a un grupo existente
Si se invoca con dos argumentos que no sean opciones adduser añadirá un usuario existente a un grupo existente.

OPCIONES

--conf FICHERO
    Usa FICHERO en vez de /etc/adduser.conf.

--disabled-login
    No ejecuta passwd para establecer la clave. El usuario no podrá usar la cuenta hasta que se establezca una clave.

--disabled-password
    Como --disabled-login, pero todavía es posible usar la cuenta, por ejemplo mediante claves SSH RSA, pero no usando autenticación de claves.

--force-badname
    Por omisión, el nombre de usuario y grupo tienen que consistir de una primera letra minúscula seguida de cero o más letras minúsculas o números. También se aceptan guiones en el nombre de usuario. Esta opción fuerza a adduser y addgroup a ser más indulgente.

--gecos GECOS
    Especifica el nuevo campo gecos para la entrada generada. adduser no preguntará por esta información si ya se le proporciona.

--gid ID
    Cuando se crea un grupo, esta opción fuerza el nuevo GID al número dado. Cuando se crea un usuario la opción añade al usuario a ese grupo.

--group
    Cuando se combina con --system, se crea un grupo con el ID del usuario del sistema. Si no se combina con --system, se crea un grupo con el nombre dado. Ésta es la acción predeterminada si el programa se invoca como addgroup.

--help
    Muestra unas instrucciones breves.

--home DIR
    Usa DIR para el directorio personal, en vez del predeterminado especificado en el fichero de configuración. Si el directorio no existe, se crea y se copian los ficheros de esqueleto.

--shell SHELL
    Usar SHELL como el shell de entrada del usuario, en vez del predeterminado especificado en el fichero de configuración.

--ingroup GRUPO
    Añade el nuevo usuario al GRUPO en vez de al grupo del usuario o el grupo predeterminado definido por USERS_GID en el fichero adduser.conf.

--no-create-home
    No crea un directorio personal, incluso si no existe.

--quiet
    Suprime mensajes indicadores de progreso.

--system
    Crea un usuario del sistema.

--uid ID
    Fuerza el nuevo identificador de usuario al número dado. adduser fallará si ese UID ya está usado.

--firstuid ID
    Modifica el primer uid del rango de donde se eligen los uid.

--lastuid ID
    Modifica el último uid del rango de donde se eligen los uid.

--version
    Muestra la versión e información acerca del copyright.

FICHEROS
/etc/adduser.conf

VÉASE TAMBIÉN
adduser.conf(5), deluser(8), useradd(8), groupadd(8)

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modificaciones de Roland Bauerschmidt y Marc Haber.
Copyright (C) 1995 Ted Hajek, con un gran aportación del adduser original de Debian
Copyright (C) 1994 Ian Murdock. adduser es software libre; lea la Licencia Pública General de GNU versión 2 o posterior para las condiciones de copia. No hay garantía.

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org>